Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 513308 - vanilla 3.15 - calling syscall(1000) triggers a BUG in kernel's auditd
Summary: vanilla 3.15 - calling syscall(1000) triggers a BUG in kernel's auditd
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Core system (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Kernel Bug Wranglers and Kernel Maintainers
URL:
Whiteboard:
Keywords:
: 507282 CVE-2014-4508 519610 522028 (view as bug list)
Depends on:
Blocks:
 
Reported: 2014-06-15 08:56 UTC by Toralf Förster
Modified: 2014-09-09 17:10 UTC (History)
7 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
chr_uml.sh (chr_uml.sh,1.98 KB, text/plain)
2014-06-15 08:58 UTC, Toralf Förster
Details
fix (0001-x86_32-entry-Fix-badsys-paths.patch,1.54 KB, patch)
2014-06-17 15:39 UTC, Toralf Förster
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2014-06-15 08:56:55 UTC
I do chroot into that image, so the kernel should be the kernel of the host (vanilla 3.15) - and I get :


 * FEATURES:   compressdebug preserve-libs sandbox splitdebug userpriv usersandbox
make -j4 -s glibc-test 
make -j4 -s glibc-test 
/usr/portage/sys-libs/glibc/files/eblits/pkg_setup.eblit: line 24:  7382 Segmentation fault      ./glibc-test
 * Your old kernel is broken.  You need to update it to
 * a newer version as syscall(<bignum>) will break.
 * http://bugs.gentoo.org/279260
 * ERROR: sys-libs/glibc-2.19-r1::gentoo failed (setup phase):
 *   keeping your system alive, say thank you







n22 ~ # emerge --info glibc
Portage 2.2.10 (default/linux/x86/13.0, gcc-4.8.2, glibc-2.19, 3.15.0 i686)                                                                                           
=================================================================                                                                                                     
                         System Settings                                                                                                                              
=================================================================                                                                                                     
System uname: Linux-3.15.0-i686-Intel-R-_Core-TM-_i5-2540M_CPU_@_2.60GHz-with-gentoo-2.2                                                                              
KiB Mem:     8173096 total,   4343116 free                                                                                                                            
KiB Swap:    9767516 total,   9586532 free                                                                                                                            
Timestamp of tree: Sun, 15 Jun 2014 08:15:01 +0000                                                                                                                                      
ld GNU ld (GNU Binutils) 2.24                                                                                                                                                           
app-shells/bash:          4.2_p47                                                                                                                                                                              
dev-lang/python:          2.7.6-r1, 3.3.5, 3.4.0                                                                                                                                                               
dev-util/cmake:           2.8.12.2-r1                                                                                                                                                                          
dev-util/pkgconfig:       0.28-r1                                                                                                                                                                              
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.12.4
sys-apps/sandbox:         2.6-r1
sys-devel/autoconf:       2.69
sys-devel/automake:       1.14.1
sys-devel/binutils:       2.24-r3
sys-devel/gcc:            4.8.2
sys-devel/gcc-config:     1.8
sys-devel/libtool:        2.4.2-r1
sys-devel/make:           4.0-r1
sys-kernel/linux-headers: 3.15 (virtual/os-headers)
sys-libs/glibc:           2.19
Repositories: gentoo toralf
ACCEPT_KEYWORDS="x86 ~x86"
ACCEPT_LICENSE="* -@EULA"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=native -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.5/ext-active/ /etc/php/cgi-php5.5/ext-active/ /etc/php/cli-php5.5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -march=native -pipe"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--keep-going=y --nospinner --tree --quiet-build --deep"
FCFLAGS="-O2 -march=i686 -pipe"
FEATURES="assume-digests binpkg-logs compress-build-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -march=i686 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j4"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
USE="acl apache2 berkdb bzip2 cli cracklib crypt cups cxx dri fam fastbuild gdbm gmp iconv ipv6 logrotate mmx modules mysql mysqli ncurses nls nptl openmp pam pcre readline session sse sse2 sse3 ssl ssse3 tcpd threads unicode userlocales webmail x86 xattr xml zlib" ABI_X86="32" ALSA_CARDS="hda-intel" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en en_GB" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_3" RUBY_TARGETS="ruby19 ruby20" USERLAND="GNU" VIDEO_CARDS="intel" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, SYNC, USE_PYTHON

=================================================================
                        Package Settings
=================================================================

sys-libs/glibc-2.19 was built with the following:
USE="-debug -gd (-hardened) (-multilib) -nscd -profile (-selinux) -suid -systemtap -vanilla"
CFLAGS="-march=native -pipe -g -ggdb -O2 -fno-strict-aliasing"
CXXFLAGS="-march=native -pipe -g -ggdb -O2 -fno-strict-aliasing"
Comment 1 Toralf Förster gentoo-dev 2014-06-15 08:58:46 UTC
Created attachment 378926 [details]
chr_uml.sh

FWIW I think I do mount all needed file systems (lines 13-24 of the attached script) onto the UML root, right ?
Comment 2 Toralf Förster gentoo-dev 2014-06-15 11:17:57 UTC
And this I do get in the syslog :

Jun 15 13:16:43 n22 kernel: ------------[ cut here ]------------
Jun 15 13:16:43 n22 kernel: kernel BUG at kernel/auditsc.c:1525!
Jun 15 13:16:43 n22 kernel: invalid opcode: 0000 [#3] SMP
Jun 15 13:16:43 n22 kernel: Modules linked in: pppoe pppox ppp_generic slhc rc_dib0700_rc5 dvb_usb_dib0700 dib3000mc dib8000 dvb_usb dib0070 dib7000m dib0090 dib7000p dvb_core dibx000_common rc_core usbmon ip6t_REJECT ip6table_filter ip6_tables ipt_MASQUERADE xt_owner xt_LOG xt_limit xt_multiport ipt_REJECT xt_recent xt_conntrack xt_tcpudp nf_conntrack_ftp iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_filter ip_tables x_tables ctr ccm af_packet bridge stp llc ipv6 tun uvcvideo videobuf2_vmalloc usblp videobuf2_memops arc4 videobuf2_core iwldvm x86_pkg_temp_thermal mac80211 videodev coretemp fbcon kvm_intel thinkpad_acpi i915 psmouse snd_hda_codec_conexant snd_hda_codec_generic cfbfillrect sdhci_pci sdhci kvm nvram iwlwifi cfg80211 cfbimgblt bitblit i2c_algo_bit softcursor cfbcopyarea font mmc_core evdev rfkill snd_hda_intel thermal i2c_i801 snd_hda_controller drm_kms_helper drm wmi 8250_pci video acpi_cpufreq 8250 processor e1000e ptp snd_hda_codec intel_gtt tpm_tis tpm agpgart fb fbdev snd_pcm snd_timer thermal_sys snd hwmon soundcore i2c_core serial_core battery ac pps_core button aesni_intel xts aes_i586 lrw gf128mul ablk_helper cryptd cbc fuse nfs lockd sunrpc dm_crypt dm_mod hid_monterey hid_microsoft hid_logitech hid_ezkey hid_cypress hid_chicony hid_cherry hid_belkin hid_apple hid_a4tech hid_generic usbhid hid sr_mod cdrom sg [last unloaded: microcode]
Jun 15 13:16:43 n22 kernel: CPU: 2 PID: 18783 Comm: glibc-test Tainted: G      D       3.15.0 #3
Jun 15 13:16:43 n22 kernel: Hardware name: LENOVO 4180F65/4180F65, BIOS 83ET75WW (1.45 ) 05/10/2013
Jun 15 13:16:43 n22 kernel: task: d71dea40 ti: c018a000 task.ti: c018a000
Jun 15 13:16:43 n22 kernel: EIP: 0060:[<c10b6c70>] EFLAGS: 00010202 CPU: 2
Jun 15 13:16:43 n22 kernel: EIP is at __audit_syscall_entry+0xf0/0x100
Jun 15 13:16:43 n22 kernel: EAX: 40000003 EBX: c03a2c00 ECX: 00000000 EDX: 000000fc
Jun 15 13:16:43 n22 kernel: ESI: 00000001 EDI: d71dea40 EBP: c018bfb0 ESP: c018bfa4
Jun 15 13:16:43 n22 kernel: DS: 007b ES: 007b FS: 00d8 GS: 00e0 SS: 0068
Jun 15 13:16:43 n22 kernel: CR0: 80050033 CR2: b7683bae CR3: 281a5000 CR4: 000407f0
Jun 15 13:16:43 n22 kernel: Stack:
Jun 15 13:16:43 n22 kernel: 00000000 00000000 b776e270 c018a000 c14ca296 00000000 b77711d8 00000000
Jun 15 13:16:43 n22 kernel: b776e270 b776e270 000000fc 0000007b 0000007b 00000000 00000033 000000fc
Jun 15 13:16:43 n22 kernel: b777db2c 00000073 00000246 bfd4383c 0000007b 00000000 00000000
Jun 15 13:16:43 n22 kernel: Call Trace:
Jun 15 13:16:43 n22 kernel: [<c14ca296>] sysenter_audit+0x1e/0x25
Jun 15 13:16:43 n22 kernel: Code: 7d fc 89 ec 5d c3 90 8d 74 26 00 c7 43 34 00 00 00 00 b9 b0 2a 66 c1 89 da c7 43 38 00 00 00 00 89 f8 e8 54 f6 ff ff 89 c6 eb 91 <0f> 0b 8d b4 26 00 00 00 00 8d bc 27 00 00 00 00 55 89 e5 57 56
Jun 15 13:16:43 n22 kernel: EIP: [<c10b6c70>] __audit_syscall_entry+0xf0/0x100 SS:ESP 0068:c018bfa4
Comment 3 SpanKY gentoo-dev 2014-06-15 23:59:51 UTC
doesn't look like a bug in glibc.  this test isn't new to 2.19-r1 either ... it's run for all versions.  the code is simply:
#include <unistd.h>
#include <sys/syscall.h>
int main(){return syscall(1000)!=-1;}

your BUG there indicates the problem is entirely in the kernel.
Comment 4 Toralf Förster gentoo-dev 2014-06-16 16:54:56 UTC
ok, reported it upstream :

http://article.gmane.org/gmane.linux.kernel/1725884
Comment 5 Toralf Förster gentoo-dev 2014-06-17 15:39:51 UTC
Created attachment 379130 [details, diff]
fix

fixes it here for a x86 system
Comment 6 Marco 2014-07-07 12:18:33 UTC
I'm running a Kernel 3.4.x on an x86. Since this commit in Kernel 3.4.96 ( http://git.kernel.org/cgit/linux/kernel/git/stable/linux-stable.git/commit/?h=linux-3.4.y&id=d3007333170435135f0620fb52386aad3fb2a14f ), udev (and because of this some other services) refuses to start with "error getting socket: Address family not supported by protocol". After reverting this commit, everything runs fine again. Anyone with similar issues here?
Marco
Comment 7 Mike Pagano gentoo-dev 2014-07-30 18:47:39 UTC
(In reply to Marco from comment #6)
> I'm running a Kernel 3.4.x on an x86. Since this commit in Kernel 3.4.96 (
> http://git.kernel.org/cgit/linux/kernel/git/stable/linux-stable.git/commit/
> ?h=linux-3.4.y&id=d3007333170435135f0620fb52386aad3fb2a14f ), udev (and
> because of this some other services) refuses to start with "error getting
> socket: Address family not supported by protocol". After reverting this
> commit, everything runs fine again. Anyone with similar issues here?
> Marco

Marco,

Do you have CONFIG_UNIX=y in your kernel .config?
Comment 8 Marco 2014-08-01 07:49:42 UTC
> Do you have CONFIG_UNIX=y in your kernel .config?

Thanks Mike for your reply. Yes, I have this as a module (which was no problem until 3.4.96).

But good news: My issue has been fixed today in kernel 3.4.101:
https://git.kernel.org/cgit/linux/kernel/git/stable/linux-stable.git/commit/?id=4aedd4b0545222fed4bb7318fc144025eda8e119

Since this commit, everything is working fine again on my 32-Bit machine.
Marco
Comment 9 MMS 2014-08-03 13:03:22 UTC
I've just had a similar problem when trying to emerge glibc-2.17 while running kernel "gentoo-sources-3.14.14" on a 32-Bit/x86 machine and emerge failing with "Your old kernel is broken...".
I've solved it temporarily by emerging and booting an older kernel "gentoo-sources-3.10.41-r1" (with CONFIG_AUDIT not set).

For me it would still be important to know, if this problem is only occuring once with emerge, or could also happen when running glibc-2.17 on x86 with a newer (>3.12) kernel.
Comment 10 josef.95 2014-08-05 10:32:36 UTC
(In reply to MMS from comment #9)

With gentoo-sources:3.14.15
or
gentoo-sources:3.15.8
it should work now :)
Comment 11 Myckel Habets archtester 2014-08-07 06:48:36 UTC
Got hit by this bug while arch testing for x86 on one machine (first of 4 systems tested that generates this bug (3 others were fine)):

emerge --info
Portage 2.2.8-r1 (default/linux/x86/13.0, gcc-4.7.3, glibc-2.17, 3.14.14-gentoo i686)
=================================================================
System uname: Linux-3.14.14-gentoo-i686-AMD_Duron-tm-_Processor-with-gentoo-2.2
KiB Mem:     1030364 total,    846616 free
KiB Swap:     262140 total,    262140 free
Timestamp of tree: Sun, 03 Aug 2014 21:00:01 +0000
ld GNU ld (GNU Binutils) 2.23.2
distcc 3.1 i686-pc-linux-gnu [disabled]
app-shells/bash:          4.2_p45
dev-lang/python:          2.7.7, 3.2.5-r6, 3.3.5-r1
dev-util/pkgconfig:       0.28-r1
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.12.4
sys-apps/sandbox:         2.6-r1
sys-devel/autoconf:       2.69
sys-devel/automake:       1.13.4
sys-devel/binutils:       2.23.2
sys-devel/gcc:            4.7.3-r1
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4.2-r1
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.13 (virtual/os-headers)
sys-libs/glibc:           2.17
Repositories: gentoo
ACCEPT_KEYWORDS="x86"
ACCEPT_LICENSE="* -@EULA"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=i686 -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -march=i686 -pipe"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -march=i686 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync"
FFLAGS="-O2 -march=i686 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="nl_NL.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY=""
USE="acl berkdb bzip2 cli cracklib crypt cxx dri fortran gdbm gpm iconv modules nat-pmp ncurses nptl openmp pam pcre readline session sqlite ssl tcpd threads transparent-proxy unicode upnp x86 zlib" ABI_X86="32" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python3_2" PYTHON_TARGETS="python3_2" RUBY_TARGETS="ruby19 ruby20" USERLAND="GNU" VIDEO_CARDS="fbdev glint intel mach64 mga nouveau nv r128 radeon savage sis tdfx trident vesa via vmware dummy v4l" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, MAKEOPTS, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, SYNC, USE_PYTHON

USE flags for glibc:
[ebuild     U ~] sys-libs/glibc-2.19-r1:2.2 [2.17:2.2] USE="-debug -gd (-hardened) (-multilib) -nscd -profile (-selinux) -suid -systemtap -vanilla"

CONFIG_UNIX is set, CONFIG_AUDIT is not set. Rebuilding the current glibc version is also not possible any more (fails for the same reason).

Did this get introduced with the kernel upgrade to 3.14.14 (this is a blind system, so swapping kernels is a bit too much work)?
Comment 12 Myckel Habets archtester 2014-08-07 07:08:07 UTC
Switching the kernel back to 3.12.20 (both CONFIG_AUDIT and CONFIG_UNIX are set) seems to work for me and the bug is not triggered.
Comment 13 Mike Pagano gentoo-dev 2014-08-11 23:24:58 UTC
This patch has been in 3.2 since 3.2.26.  Can you please test that version?
Comment 14 Mike Pagano gentoo-dev 2014-08-11 23:25:33 UTC
Of course I mean 3.12.26.
Comment 15 SpanKY gentoo-dev 2014-08-12 04:44:50 UTC
*** Bug 519610 has been marked as a duplicate of this bug. ***
Comment 16 Myckel Habets archtester 2014-08-12 07:55:11 UTC
(In reply to Mike Pagano from comment #14)
> Of course I mean 3.12.26.

Stable x86 is already running kernel 3.14.14, we need a newer version than that version soon (x86 stable tree is deliberately put in broken state, and I warned about this). I am far from happy that devs decided on this action, makes the whole QA arch testing a joke.
Comment 17 Myckel Habets archtester 2014-08-12 08:06:05 UTC
(In reply to Myckel Habets from comment #16)
> (In reply to Mike Pagano from comment #14)
> > Of course I mean 3.12.26.
> 
> Stable x86 is already running kernel 3.14.14, we need a newer version than
> that version soon (x86 stable tree is deliberately put in broken state, and
> I warned about this). I am far from happy that devs decided on this action,
> makes the whole QA arch testing a joke.

Bug #518600 seems to be going to handle this.
Comment 18 Mike Pagano gentoo-dev 2014-08-12 11:22:02 UTC
(In reply to Myckel Habets from comment #17)
> (In reply to Myckel Habets from comment #16)
> > (In reply to Mike Pagano from comment #14)
> > > Of course I mean 3.12.26.
> > 
> > Stable x86 is already running kernel 3.14.14, we need a newer version than
> > that version soon (x86 stable tree is deliberately put in broken state, and
> > I warned about this). I am far from happy that devs decided on this action,
> > makes the whole QA arch testing a joke.


I don't get it, explain this joke to me.
Comment 19 Myckel Habets archtester 2014-08-12 12:12:01 UTC
(In reply to Mike Pagano from comment #18)
> (In reply to Myckel Habets from comment #17)
> > (In reply to Myckel Habets from comment #16)
> > > (In reply to Mike Pagano from comment #14)
> > > > Of course I mean 3.12.26.
> > > 
> > > Stable x86 is already running kernel 3.14.14, we need a newer version than
> > > that version soon (x86 stable tree is deliberately put in broken state, and
> > > I warned about this). I am far from happy that devs decided on this action,
> > > makes the whole QA arch testing a joke.
> 
> 
> I don't get it, explain this joke to me.

It's an English expression. It means people are taking something not serious, while they should and all effort to prevent it would just be a waste of time. To clarify: Arch testing is to ensure that the end user (read people who run the stable branch) don't get things breaking on their daily system. Some people don't want to deal with 30 broken packages a week to just keep their systems updated, for various reasons.

Now for this situation. While I was spending time arch testing glibc (because it broke before on specific CPUs), kernel 3.14.14 got stabilized. glibc complained about this and I reported that the stable tree would break when this glibc version would be marked stable. As a result, end users would be exposed to a problem that they shouldn't have faced in the first place if devs took this issue serious. Instead they ignored my warning and just proceeded stabilizing glibc, deliberately breaking the tree. They ignored the effort and time invested by arch testers in testing the package and fail to care for the QA for end users. Why should arch testers invest time and resources in arch testing if the reported problems are just ignored?

What should have been done is starting the new kernel stabilization (which I'm in the process doing now) BEFORE marking glibc stable. Then there would have been no problems.
Comment 20 Mike Pagano gentoo-dev 2014-08-12 13:27:06 UTC
(In reply to Myckel Habets from comment #19)
> (In reply to Mike Pagano from comment #18)
> > (In reply to Myckel Habets from comment #17)
> > > (In reply to Myckel Habets from comment #16)
> > > > (In reply to Mike Pagano from comment #14)
> > > > > Of course I mean 3.12.26.
> > > > 
> > > > Stable x86 is already running kernel 3.14.14, we need a newer version than
> > > > that version soon (x86 stable tree is deliberately put in broken state, and
> > > > I warned about this). I am far from happy that devs decided on this action,
> > > > makes the whole QA arch testing a joke.
> > 
> > 
> > I don't get it, explain this joke to me.
> 
> It's an English expression. It means people are taking something not
> serious, while they should and all effort to prevent it would just be a
> waste of time. To clarify: Arch testing is to ensure that the end user (read
> people who run the stable branch) don't get things breaking on their daily
> system. Some people don't want to deal with 30 broken packages a week to
> just keep their systems updated, for various reasons.
> 
> Now for this situation. While I was spending time arch testing glibc
> (because it broke before on specific CPUs), kernel 3.14.14 got stabilized.
> glibc complained about this and I reported that the stable tree would break
> when this glibc version would be marked stable. As a result, end users would
> be exposed to a problem that they shouldn't have faced in the first place if
> devs took this issue serious. Instead they ignored my warning and just
> proceeded stabilizing glibc, deliberately breaking the tree. They ignored
> the effort and time invested by arch testers in testing the package and fail
> to care for the QA for end users. Why should arch testers invest time and
> resources in arch testing if the reported problems are just ignored?
> 
> What should have been done is starting the new kernel stabilization (which
> I'm in the process doing now) BEFORE marking glibc stable. Then there would
> have been no problems.

Was there a reason you did not open a "STABLEREQ" bug yourself for 3.14.16 with a reference to the glibc bug?  I hope the kernel team does not give the impression that any user couldn't or shouldn't open a stable request.
Comment 21 Myckel Habets archtester 2014-08-12 14:28:54 UTC
(In reply to Mike Pagano from comment #20)

...

> 
> Was there a reason you did not open a "STABLEREQ" bug yourself for 3.14.16
> with a reference to the glibc bug?  I hope the kernel team does not give the
> impression that any user couldn't or shouldn't open a stable request.

Yes, I'm aware that I could have open a STABLEREQ myself, and will do that next time (call it a learning moment). But having such bug open or not should not be an excuse to break stuff. Glibc was marked stable before I was able to respond (some days I'm just busy with non-Gentoo related stuff).
Comment 22 SpanKY gentoo-dev 2014-08-13 10:35:34 UTC
*** Bug 507282 has been marked as a duplicate of this bug. ***
Comment 23 Myckel Habets archtester 2014-08-13 19:38:12 UTC
New kernel is stable on x86, glibc builds again. I guess we can close this bug now, right?
Comment 24 Mike Pagano gentoo-dev 2014-08-13 23:06:46 UTC
Right
Comment 25 Sergey Popov gentoo-dev Security 2014-08-17 07:48:20 UTC
*** Bug 514878 has been marked as a duplicate of this bug. ***
Comment 26 SpanKY gentoo-dev 2014-09-09 17:10:25 UTC
*** Bug 522028 has been marked as a duplicate of this bug. ***